Skip to main content
GET
/
api
/
v1
/
runs
List workflow runs
curl --request GET \
  --url https://forge.gloo.ai/api/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "runType": "<string>",
      "status": "<string>",
      "workflowId": "<string>",
      "goal": "<string>",
      "startedAt": 123,
      "completedAt": 123,
      "totalTokens": 123,
      "totalCost": 123
    }
  ],
  "meta": {
    "requestId": "<string>",
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key from /api/v1/keys. Pass as Authorization: Bearer <key>.

Query Parameters

runType
enum<string>

Filter by run type

Available options:
prescriptive,
delegated
limit
integer
default:25

Page size

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from previous response

interfaceId
string

Filter by interface ID (must match caller identity)

Response

200 - application/json

Run list

data
object[]
meta
object